Main Page Widgets Namespaces Book

# Gtk::OptionMenu Class Reference
[Widgets]

Inheritance diagram for Gtk::OptionMenu:

[legend]
List of all members.

## Detailed Description

A widget used to choose from a list of valid choices.

A Gtk::OptionMenu is a widget that allows the user to choose from a list of valid choices. The Gtk::OptionMenu displays the selected choice. When activated the GtkOptionMenu displays a popup Gtk::Menu which allows the user to make a new choice.

## Public Member Functions

virtual | ~OptionMenu ()
GtkOptionMenu* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkOptionMenu* | gobj () const
| Provides access to the underlying C GtkObject.
| OptionMenu ()
void | set_menu (Menu& menu)
Menu* | get_menu ()
const Menu* | get_menu () const
void | remove_menu ()
int | get_history () const
| Retrieves the index of the currently selected menu item.
void | set_history (guint index)
Glib::SignalProxy0<void> | signal_changed ()

## Protected Member Functions

virtual void | on_changed ()

## Related Functions

(Note that these are not member functions.)
Gtk::OptionMenu* | wrap (GtkOptionMenu* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::OptionMenu::~OptionMenu | ( |  | ) | `[virtual]`

Gtk::OptionMenu::OptionMenu | ( |  | ) |

## Member Function Documentation

int Gtk::OptionMenu::get_history | ( |  | ) | const

Retrieves the index of the currently selected menu item.

The menu items are numbered from top to bottom, starting with 0.

Returns:
  Index of the selected menu item, or -1 if there are no menu items.

const Menu* Gtk::OptionMenu::get_menu | ( |  | ) | const

Menu* Gtk::OptionMenu::get_menu | ( |  | ) |

const GtkOptionMenu* Gtk::OptionMenu::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

GtkOptionMenu* Gtk::OptionMenu::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Button.

virtual void Gtk::OptionMenu::on_changed | ( |  | ) | `[protected, virtual]`

void Gtk::OptionMenu::remove_menu | ( |  | ) |

void Gtk::OptionMenu::set_history | ( | guint | index | ) |

void Gtk::OptionMenu::set_menu | ( | Menu& | menu | ) |

Glib::SignalProxy0<void> Gtk::OptionMenu::signal_changed | ( |  | ) |

Prototype:
  `void changed()`

## Friends And Related Function Documentation

Gtk::OptionMenu* wrap | ( | GtkOptionMenu* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- optionmenu.h